Food 4 Less
Learn how to start scraping Food 4 Less.
With Web Scraper API, you can scrape various types of Food 4 Less pages; below is an overview of all supported scrapers and their respective source values. The response returns the page HTML in content, in the standard response structure described in Realtime and Push-Pull.
foodfourless_search
Search page for a search term of your choice.
foodfourless_product
Product page of a product ID of your choice.
Any other Food 4 Less page can be scraped by passing its url alone, no source needed.
Search
Request samples
curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
"source": "foodfourless_search",
"query": "milk",
"render": "html"
}'import requests
from pprint import pprint
# Structure payload.
payload = {
'source': 'foodfourless_search',
'query': 'milk',
'render': 'html'
}
# Get response.
response = requests.request(
'POST',
'https://realtime.oxylabs.io/v1/queries',
auth=('USERNAME', 'PASSWORD'),
json=payload
)
# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())Request parameter values
source
Sets the scraper.
foodfourless_search
query
The keyword or phrase to search for products.
-
render
Enables JavaScript rendering when set to html. Without rendering, Food 4 Less returns the page without the product list.
-
- mandatory parameter
Product
Request samples
Request parameter values
source
Sets the scraper.
foodfourless_product
product_id
The numeric product ID from the product page URL, e.g. myfood4less.com/store/food4less/products/18498221-sequoia-farms-homogenized-milk-1-gal.
-
- mandatory parameter
Last updated
Was this helpful?